qmf::engine::ConsoleEvent Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Attributes
qmf::engine::ConsoleEvent Struct Reference

`#include <qmf/engine/Console.h>`

List of all members.

## Public Types
enum | EventKind { AGENT_ADDED = 1, AGENT_DELETED = 2, NEW_PACKAGE = 3, NEW_CLASS = 4, OBJECT_UPDATE = 5, EVENT_RECEIVED = 7, AGENT_HEARTBEAT = 8 }
## Public Attributes
EventKind | kind
AgentProxy * | agent
char * | name
const SchemaClassKey * | classKey
Object * | object
void * | context
Event * | event
uint64_t | timestamp
QueryResponse * | queryResponse
bool | hasProps
bool | hasStats

## Member Enumeration Documentation

enum qmf::engine::ConsoleEvent::EventKind

Enumerator:

  AGENT_ADDED |
  AGENT_DELETED |
  NEW_PACKAGE |
  NEW_CLASS |
  OBJECT_UPDATE |
  EVENT_RECEIVED |
  AGENT_HEARTBEAT |

Definition at line 84 of file Console.h.

## Member Data Documentation

AgentProxy* qmf::engine::ConsoleEvent::agent

Definition at line 95 of file Console.h.

const SchemaClassKey* qmf::engine::ConsoleEvent::classKey

Definition at line 97 of file Console.h.

void* qmf::engine::ConsoleEvent::context

Definition at line 99 of file Console.h.

Event* qmf::engine::ConsoleEvent::event

Definition at line 100 of file Console.h.

bool qmf::engine::ConsoleEvent::hasProps

Definition at line 103 of file Console.h.

bool qmf::engine::ConsoleEvent::hasStats

Definition at line 104 of file Console.h.

EventKind qmf::engine::ConsoleEvent::kind

Definition at line 94 of file Console.h.

char* qmf::engine::ConsoleEvent::name

Definition at line 96 of file Console.h.

Object* qmf::engine::ConsoleEvent::object

Definition at line 98 of file Console.h.

QueryResponse* qmf::engine::ConsoleEvent::queryResponse

Definition at line 102 of file Console.h.

uint64_t qmf::engine::ConsoleEvent::timestamp

Definition at line 101 of file Console.h.

The documentation for this struct was generated from the following file:

- qmf/engine/Console.h